local window = require('window')
local item = require('item')

local line = {
    15, 0, 25, 0,
    40, 40, 0, 40,
}

local m = item:from{
    width = 40,
    height = 40,
    colour = {0, 0, 0},
    name = "Flask",
    description = "A glass container filled with liquid.",
}

m.draw = window.draw(function (self)
    love.graphics.setColor(self.colour)
    love.graphics.polygon('fill', line)
    love.graphics.setColor(1, 1, 1)
    love.graphics.polygon('line', line)
end)

return m
